Request Information
URI Parameters :
None.
Body Parameters :
db_file_folder| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| parent_id |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
globally unique identifier | |
| parent_reference_back_office |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
string | |
| parent_db_file_folder |
Reference to a parent folder (in case of Child/Parent) using embedded entity when adding/updating folder |
db_file_folder | |
| name | string |
Required Max length: 255 |
|
| description |
Description of the folder |
string |
Max length: 255 |
| sequence |
Sorting field (0 first) |
integer | |
| is_sales |
Indicate that this folder should be shown on the Sales environemnt (Company/Contact details) |
boolean | |
| is_services |
Indicate that this folder should be shown on the Services environemnt (Task/Project and Jobs details) |
boolean | |
| is_articles |
Indicate that this folder should be shown on the Article Details |
boolean | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "9f2988ef-9cb4-4698-aef6-eff8deaa85c0",
"parent_id": "88de3a91-a9e6-48d2-81a2-da6ab17bfcbd",
"parent_reference_back_office": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"sequence": 6,
"is_sales": true,
"is_services": true,
"is_articles": true,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-06-12T22:15:54.7453272+00:00"
}
Response Information
Resource Description :
db_file_folder| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| parent_id |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
globally unique identifier | |
| parent_reference_back_office |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
string | |
| parent_db_file_folder |
Reference to a parent folder (in case of Child/Parent) using embedded entity when adding/updating folder |
db_file_folder | |
| name | string |
Required Max length: 255 |
|
| description |
Description of the folder |
string |
Max length: 255 |
| sequence |
Sorting field (0 first) |
integer | |
| is_sales |
Indicate that this folder should be shown on the Sales environemnt (Company/Contact details) |
boolean | |
| is_services |
Indicate that this folder should be shown on the Services environemnt (Task/Project and Jobs details) |
boolean | |
| is_articles |
Indicate that this folder should be shown on the Article Details |
boolean | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "02c4f485-452a-41f6-8221-1f4030f64f8c",
"parent_id": "371f5a8e-2caf-4d34-ae8c-d77b0607213a",
"parent_reference_back_office": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"sequence": 6,
"is_sales": true,
"is_services": true,
"is_articles": true,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-06-12T22:15:54.7453272+00:00"
}